## ros-noetic-rqt-runtime-monitor 0.5.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_runtime_monitor)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_runtime_monitor
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-runtime-monitor (0.5.9-1focal) focal; urgency=high

  * fix shebang line for python3 (#6 <https://github.com/ros-visualization/rqt_runtime_monitor/issues/6>)
  * Contributors: Mikael Arguedas

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.8-1focal) focal; urgency=high

  * use conditional dependencies for Python 3 (#3 <https://github.com/ros-visualization/rqt_runtime_monitor/issues/3>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 16 Mar 2020 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 25 Apr 2017 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.6-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.5-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 01 Nov 2016 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.4-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 18 Sep 2016 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.3-1focal) focal; urgency=high

  * fix Qt5 compatibility (#104 <https://github.com/ros-visualization/rqt_robot_plugins/pull/104>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 15 May 2016 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.2-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.5.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 26 Apr 2016 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.4.3-1focal) focal; urgency=high

  * STALE is defined for indigo and later
  * Contributors: Michael Ferguson

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 07 Mar 2016 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.4.2-1focal) focal; urgency=high

  * add support for stale state
  * Contributors: Michael Ferguson

 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 23 Jul 2015 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.4.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 29 Apr 2015 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.4.0-1focal) focal; urgency=high

  * avoid marking items as stale when using sim time (#69 <https://github.com/ros-visualization/rqt_robot_plugins/issues/69>)
  * allow remapping diagnostics topic
  * update script to use full plugin name

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 04 Nov 2014 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 17 Aug 2014 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.6-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 10 Jul 2014 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.5-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 01 Jun 2014 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.4-1focal) focal; urgency=high

  * fix selection persistence across state transitions (#60 <https://github.com/ros-visualization/rqt_robot_plugins/pull/60>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 06 May 2014 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.3-1focal) focal; urgency=high

  * improve usability: fix selecting items, maintain current scroll position (#59 <https://github.com/ros-visualization/rqt_robot_plugins/issues/59>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 27 Jan 2014 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.2-1focal) focal; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 07 Jan 2014 23:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.1-1focal) focal; urgency=high

  * fix refresh of html display for new messages (#49 <https://github.com/ros-visualization/rqt_robot_plugins/issues/49>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Oct 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.3.0-1focal) focal; urgency=high

  * fix event handling (#39 <https://github.com/ros-visualization/rqt_robot_plugins/issues/39>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 27 Aug 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.16-1focal) focal; urgency=high

  * First public release into Hydro

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 08 Jul 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.15-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 24 Apr 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.14-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 11 Apr 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.13-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 08 Apr 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.12-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 06 Apr 2013 16:22:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.11-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 06 Apr 2013 16:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.10-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 03 Apr 2013 22:00:00 -0000

ros-noetic-rqt-runtime-monitor (0.2.9-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 06 Mar 2013 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-rqt-runtime-monitor
Section: misc
Priority: optional
Maintainer: Aaron Blasdel <ablasdel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_runtime_monitor
Standards-Version: 3.9.2

Package: ros-noetic-rqt-runtime-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-diagnostic-msgs, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-gui, ros-noetic-rospy, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py
Description: rqt_runtime_monitor provides a GUI plugin viewing DiagnosticsArray messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-runtime-monitor//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
